summaryrefslogtreecommitdiffstats
path: root/testing/docker/funsize-update-generator/runme.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testing/docker/funsize-update-generator/runme.sh')
-rw-r--r--testing/docker/funsize-update-generator/runme.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/testing/docker/funsize-update-generator/runme.sh b/testing/docker/funsize-update-generator/runme.sh
new file mode 100644
index 000000000..92094a76e
--- /dev/null
+++ b/testing/docker/funsize-update-generator/runme.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -xe
+
+test $TASK_ID
+test $SIGNING_CERT
+
+ARTIFACTS_DIR="/home/worker/artifacts"
+mkdir -p "$ARTIFACTS_DIR"
+
+curl --location --retry 10 --retry-delay 10 -o /home/worker/task.json \
+ "https://queue.taskcluster.net/v1/task/$TASK_ID"
+
+# enable locale cache
+export MBSDIFF_HOOK="/home/worker/bin/mbsdiff_hook.sh -c /tmp/fs-cache"
+
+if [ ! -z $FILENAME_TEMPLATE ]; then
+ EXTRA_PARAMS="--filename-template $FILENAME_TEMPLATE $EXTRA_PARAMS"
+fi
+
+/home/worker/bin/funsize.py \
+ --artifacts-dir "$ARTIFACTS_DIR" \
+ --task-definition /home/worker/task.json \
+ --signing-cert "/home/worker/keys/${SIGNING_CERT}.pubkey" \
+ $EXTRA_PARAMS